Package Details: pyocd 0.29.0-2

Git Clone URL: https://aur.archlinux.org/pyocd.git (read-only, click to copy)
Package Base: pyocd
Description: Python On Chip Debugger and programmer for ARM Cortex-M microcontrollers using CMSIS-DAP
Upstream URL: https://github.com/mbedmicro/pyocd
Keywords: arm cmsis-dap jtag mcu microcontroller
Licenses: Apache
Submitter: 2bluesc
Maintainer: 2bluesc
Last Packager: 2bluesc
Votes: 8
Popularity: 0.31
First Submitted: 2015-11-06 06:08
Last Updated: 2021-01-27 05:45

Latest Comments

yjun commented on 2021-01-27 05:27

==> Validating source files with sha512sums...
    v0.29.0.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
error downloading sources: pyocd

check validity error

vsergeev commented on 2020-11-02 06:49

Missing dependency python-prettytable.

yjun commented on 2020-10-19 15:06

==> Validating source files with sha512sums...
    v0.27.2.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

can't pass validity check

diggit commented on 2020-08-22 07:14

Please add missing dependency python-future.

2bluesc commented on 2020-03-02 02:59

@AndrevS added and updated.

AndrevS commented on 2020-01-31 14:43

The dependency for python-yaml is missing, furthermore it check for version pyyaml<4.0,>=3.0 while the version in the repo is 5.0

2bluesc commented on 2020-01-12 20:00

The packaging guidelines say that library modules should be named "python-modulename", but I contend that is not the objective on this package.

The primary output of this package is an executable called pyocd.

phillid commented on 2019-12-27 22:37

This package should be named python-pyocd per Arch Packaging guidelines: https://wiki.archlinux.org/index.php/Python_package_guidelines#Package_naming

Please kindly update its name

andrewchen commented on 2019-01-30 17:34

python2-yaml dependency is missing

tsukasa_au commented on 2017-01-18 03:22

This package is missing a dependency on the python2-future package.